List all Instances for a User
GET
https://api.neuroscale.io/v2.0/instances
The Instances Collection resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| count | Integer | Total number of Instance objects contained in the response. |
| data | Array of Instances | Array of Instance objects. |
| object | String | Resource type (value is "list"). |
| url | String | Uniform Resource Locator (URL) of the Instances Collection resource relative to the base NeuroScale Platform API URL. |
Authentication¶
Type: Access token
Required scopes: instance or list:instance
Responses¶
Example response — 200¶
{
"count": 1,
"data": [
{
"created_at": 1445979369,
"description": "Description of Instance",
"encoding": "json",
"endpoints": {
"count": 2,
"data": [
{
"created_at": 1445979369,
"id": "ep_o5YahbaaALiHe7SwqnkaYd",
"instance": "in_pNSdRK7AL85ZqdD49qwQBg",
"mode": "write",
"object": "endpoint",
"updated_at": 1445979369,
"url": "mqtt://streaming.neuroscale.io:443/HQqa8gNM66RgJKnZ43SLWT/in"
},
{
"created_at": 1445979369,
"id": "ep_25jGWzHAcmzqVgvHB8RkH8",
"instance": "in_pNSdRK7AL85ZqdD49qwQBg",
"mode": "read",
"object": "endpoint",
"updated_at": 1445979369,
"url": "mqtt://streaming.neuroscale.io:443/HQqa8gNM66RgJKnZ43SLWT/out"
}
],
"object": "list",
"url": "/v1/instances/in_pNSdRK7AL85ZqdD49qwQBg/endpoints"
},
"id": "in_pNSdRK7AL85ZqdD49qwQBg",
"metadata": {
"nodes": {
"in": [],
"out": []
}
},
"mode": "predict",
"object": "instance",
"parameters": {},
"pipeline": "pl_xTg7suuqGzFCGcnmb6Xx7f",
"properties": {
"key_1": "value_1",
"key_2": "value_2"
},
"replace_nans": true,
"replace_nans_with": 0.0,
"state": "running",
"time_to_live": 21600,
"updated_at": 1445979457,
"user": "usr_ZTNc2sEjoq6JoEgPNFUg6g"
}
],
"object": "list",
"url": "/v1/instances"
}